/*  import google fonts */

@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700&family=Ubuntu:wght@400;500;700&display=swap');
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  text-decoration: none;
}

html {
  scroll-behavior: smooth;
}

/* custom scroll bar */

::-webkit-scrollbar {
  width: 10px;
}

::-webkit-scrollbar-track {
  background: #f1f1f1;
}

::-webkit-scrollbar-thumb {
  background: #888;
}

::-webkit-scrollbar-thumb:hover {
  background: #555;
}

/* all similar contents */

section {
  padding: 100px 0;
}

.max-width {
  max-width: 1300px;
  padding: 0 80px;
  margin: auto;
}

.about,
.timeline,
.services,
.skills,
.teams,
.contact,
footer {
  font-family: 'Poppins', sans-serif;
}

.about .about-content,
.timeline .timeline-content,
.services .serv-content,
.skills .skills-content,
.contact .contact-content {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: space-between;
}

section .title {
  position: relative;
  text-align: center;
  font-size: 40px;
  font-weight: 500;
  margin-bottom: 60px;
  padding-bottom: 20px;
  font-family: 'Ubuntu', sans-serif;
}

section .title::before {
  content: '';
  position: absolute;
  bottom: 0px;
  left: 50%;
  width: 180px;
  height: 3px;
  background: #111;
  transform: translateX(-50%);
}

section .title::after {
  position: absolute;
  bottom: -8px;
  left: 50%;
  font-size: 20px;
  color: crimson;
  padding: 0 5px;
  background: #fff;
  transform: translateX(-50%);
}

#spin {
  color: crimson;
}

#spin:after {
  content: '';
  animation: spin 20s linear infinite;
}

@keyframes spin {
  0% {
    color: crimson;
    content: 'Data Scientist';
  }
  15% {
    color: #ff5500;
    content: 'Full Stack Developer';
  }
  25% {
    color: #0000ff;
    content: 'Violinist';
  }
  35% {
    color: royalblue;
    content: 'STAR';
  }
  43% {
    content: '';
  }
  /* 100% {
        content: "Full Stack Developer";
    } */
}

#spin1 {
  color: #ffc000;
  opacity: 0;
  animation: spin1 20s infinite;
}

@keyframes spin1 {
  0% {
    opacity: 0;
  }
  10% {
    opacity: 0;
  }
  20% {
    opacity: 0;
  }
  30% {
    opacity: 0;
  }
  40% {
    opacity: 0;
  }
  50% {
    opacity: 1;
  }
  57% {
    opacity: 0;
  }
  65% {
    opacity: 1;
  }
  72% {
    opacity: 0;
  }
  80% {
    opacity: 1;
  }
  90% {
    opacity: 0;
  }
}

/* navbar */

.navbar {
  position: fixed;
  width: 100%;
  z-index: 999;
  padding: 30px 0;
  font-family: 'Ubuntu', sans-serif;
  transition: all 0.3s ease;
}

.navbar.sticky {
  padding: 15px 0;
  background: #0000ff;
}

.navbar .max-width {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.navbar .logo a {
  color: #fff;
  font-size: 35px;
  font-weight: 600;
}

.navbar .logo a span {
  color: crimson;
}

.navbar .logo a:hover {
  color: crimson;
  transition: all 1s ease;
}

.navbar .logo a:hover span {
  color: #fff;
  transition: all 1s ease;
}

.navbar .menu li {
  list-style: none;
  display: inline-block;
}

.navbar .menu li a {
  display: block;
  color: #fff;
  font-size: 18px;
  font-weight: 500;
  margin-left: 25px;
  transition: color 0.3s ease;
}

.navbar .menu li a:hover {
  color: crimson;
}

.navbar.sticky .menu li a:hover {
  color: crimson;
}

/* menu btn */

.menu-btn {
  color: #fff;
  font-size: 23px;
  cursor: pointer;
  display: none;
}

.menu-btn:hover {
  color: crimson;
  transition: all 0.3s ease;
}

.scroll-up-btn {
  position: fixed;
  height: 45px;
  width: 42px;
  background: #0000ff;
  right: 30px;
  bottom: 10px;
  text-align: center;
  line-height: 45px;
  color: #fff;
  z-index: 9999;
  font-size: 30px;
  border-radius: 6px;
  border-bottom-width: 2px;
  cursor: pointer;
  opacity: 0;
  pointer-events: none;
  transition: all 1s ease;
}

.scroll-up-btn.show {
  bottom: 30px;
  opacity: 1;
  pointer-events: auto;
}

.scroll-up-btn:hover {
  filter: brightness(90%);
  color: crimson;
}

/* home section */

.home {
  display: flex;
  background: url('images/data-team-structure.jpg') no-repeat center;
  height: 100vh;
  color: #fff;
  min-height: 500px;
  background-size: cover;
  background-attachment: fixed;
  font-family: 'Ubuntu', sans-serif;
}

.home .max-width {
  width: 100%;
  display: flex;
}

.home .max-width .row {
  margin-right: 0;
}

.home .home-content .text-1 {
  font-size: 27px;
}

.home .home-content .text-2 {
  font-size: 75px;
  font-weight: 600;
  margin-left: -3px;
}

.home .home-content .text-3 {
  font-size: 40px;
  margin: 5px 0;
}

.home .home-content .text-3 span {
  color: crimson;
  font-weight: 500;
}

.home .home-content a {
  display: inline-block;
  background: crimson;
  color: #fff;
  font-size: 25px;
  padding: 12px 36px;
  margin-top: 20px;
  font-weight: 400;
  border-radius: 6px;
  border: 2px solid crimson;
  transition: all 1s ease;
}

.home .home-content a:hover {
  color: crimson;
  background: none;
}

/* about section */

.about .title::after {
  content: 'who I am';
}

.about .about-content .left {
  width: 45%;
}

.about .about-content .left img {
  height: 400px;
  width: 300px;
  object-fit: fill;
  border-radius: 50%;
}

.about .about-content .right {
  width: 55%;
}

.about .about-content .right .text {
  font-size: 25px;
  font-weight: 600;
  margin-bottom: 10px;
}

.about .about-content .right p:hover span {
  color: royalblue;
  font-weight: 600;
  transition: all 0.3s ease;
}

.about .about-content .right .text span {
  color: crimson;
}

.about .about-content .right p {
  text-align: justify;
}

.about .about-content .right a {
  display: inline-block;
  background: crimson;
  color: #fff;
  font-size: 20px;
  font-weight: 500;
  padding: 10px 30px;
  margin-top: 20px;
  border-radius: 6px;
  border: 2px solid crimson;
  transition: all 1s ease;
}

.about .about-content .right a:hover {
  color: crimson;
  background: none;
}

/* time line */

.timeline {
  color: #fff;
  background: #111;
}

.timeline .title::before {
  background: #fff;
}

.timeline .title::after {
  background: #111;
  content: 'My Education';
}

.timeline .timeline-content {
  margin-bottom: 25px;
}

.timeline .timeline-content .column {
  width: 100%;
}

.timeline .timeline-content .left {
  width: 45%;
}

.timeline .timeline-content .left img {
  height: 250px;
  width: 250px;
  object-fit: cover;
  border-radius: 50%;
}

.timeline .timeline-content .right {
  background: #222;
  width: 55%;
  border-radius: 6px;
}

.timeline .timeline-item {
  position: relative;
  padding-left: 3rem;
  border-left: 1px solid #ff5500;
}

.timeline .timeline-item .tl-icon {
  position: absolute;
  left: -27px;
  top: 0;
  background-color: #fff;
  color: #ff5500;
  width: 50px;
  height: 50px;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.timeline .timeline-item .tl-icon i {
  font-size: 1.3rem;
}

.timeline .timeline-item h5 {
  color: #fff;
  font-size: 1.3rem;
  font-weight: 600;
}

.timeline .timeline-item .tl-duration {
  color: grey;
  font-size: 12px;
}

.timeline .timeline-item h6 {
  color: #fff;
  font-size: 1rem;
  font-weight: 300;
}

.timeline .timeline-content .right:hover h5 {
  color: royalblue;
  transition: all 1s ease;
}

.timeline .timeline-content .right:hover h6 {
  color: #ff5500;
  transition: all 1s ease;
}

.timeline .timeline-item p {
  color: #fff;
}

.skills .title::after {
  content: 'what I know';
}

.skills .skills-content .column {
  width: calc(50% - 30px);
}

.skills .skills-content .left .text {
  font-size: 20px;
  font-weight: 600;
  margin-bottom: 10px;
}

.skills .skills-content .left p:hover span {
  color: royalblue;
  font-weight: 600;
  transition: all 0.3s ease;
}

.skills .skills-content .left p {
  text-align: justify;
}

.skills .skills-content .left a {
  display: inline-block;
  background: crimson;
  color: #fff;
  font-size: 18px;
  font-weight: 500;
  padding: 8px 16px;
  margin-top: 20px;
  border-radius: 6px;
  border: 2px solid crimson;
  transition: all 1s ease;
}

.skills .skills-content .left a:hover {
  color: crimson;
  background: none;
  transition: all 1s ease;
}

.skills .skills-content .right .bars {
  margin-bottom: 15px;
}

.skills .skills-content .right .info {
  display: flex;
  margin-bottom: 5px;
  align-items: center;
  justify-content: space-between;
}

.skills .skills-content .right span {
  font-weight: bold;
  font-size: 22px;
}

.skills .skills-content .right .bars:hover span {
  color: royalblue;
  transition: all 0.7s ease;
  font-size: 23px;
}

.skills .skills-content .right .bars:hover {
  transform: scale(1.1);
  transition: all 0.7s ease;
}

.skills .skills-content .right .line {
  height: 5px;
  width: 100%;
  background: lightgrey;
  position: relative;
}

.skills .skills-content .right .line::before {
  content: '';
  position: absolute;
  height: 100%;
  left: 0;
  top: 0;
  background: crimson;
}

.skills-content .right .machine-learning::before {
  width: 90%;
}

.skills-content .right .Python::before {
  width: 90%;
}

.skills-content .right .SQL::before {
  width: 85%;
}

.skills-content .right .Cpp::before {
  width: 90%;
}

.skills-content .right .Full-Stack::before {
  width: 80%;
}

/* srevices section*/

.services,
.teams {
  color: #fff;
  background: #111;
}

.services .title::before,
.teams .title::before {
  background: #fff;
}

.services .title::after,
.teams .title::after {
  background: #111;
  content: 'what I can do';
}

.services .serv-content {
  padding: 15px;
}

.services .serv-content .card {
  width: calc(33% - 20px);
  background: #222;
  text-align: center;
  border-radius: 6px;
  padding: 25px;
  margin-bottom: 20px;
  transition: all 1s ease;
}

.services .serv-content .card:hover {
  background: crimson;
}

.services .serv-content .card .box {
  transition: all 1s ease;
}

.projects {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  transition: all 1s ease;
}

.projects li {
  background: #222;
  list-style-type: none;
  border-radius: 6px;
  padding: 0;
  flex: 0 1 20rem;
  margin: 1rem;
  height: 30rem;
  transition: all 1s ease;
}

.projects li:hover {
  background: royalblue;
  transform: scale(1.05);
  transition: all 1s ease;
}

.projects li:hover .project-links i {
  color: #fff;
}

.project {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 100%;
  transition: all 0.3s ease;
}

.project-image {
  max-width: 20rem;
  max-height: 15rem;
  min-width: 20rem;
  min-height: 15rem;
  border-radius: 6px 6px 0 0;
}

.project-name {
  font-size: 1.4rem;
  font-weight: bold;
  text-align: center;
}

.project-detail {
  font-size: 1rem;
  padding: 0 10px;
  text-align: justify;
}

.project-links {
  text-align: center;
}

.project-links a {
  padding: 0 10px;
}

.project-links i {
  font-size: 50px;
  color: crimson;
  margin: 0 15px;
  transition: color 1s ease;
}

/* contact section */

.contact .title::after {
  content: 'get in touch';
}

.contact .contact-content .column {
  width: calc(50% - 30px);
}

.contact .contact-content .text {
  font-size: 20px;
  font-weight: 600;
  margin-bottom: 10px;
}

.contact .contact-content .left p {
  text-align: justify;
}

.contact .contact-content .left .icons {
  margin: 10px 0;
}

.contact .contact-content .row {
  display: flex;
  height: 65px;
  align-items: center;
}

.contact .contact-content .row .info {
  margin-left: 30px;
}

.contact .contact-content .row i {
  font-size: 25px;
  color: #0000ff;
}

.contact .contact-content .info .head {
  font-weight: 500;
}

.contact .contact-content .info .sub-title {
  color: #333;
}

.contact .right form .fields {
  display: flex;
}

.contact .right form .field,
.contact .right form .fields .field {
  height: 45px;
  width: 100%;
  margin-bottom: 15px;
}

.contact .right form .textarea {
  height: 80px;
  width: 100%;
}

.contact .right form .name {
  margin-right: 10px;
}

.contact .right form .field input,
.contact .right form .textarea textarea {
  height: 100%;
  width: 100%;
  border: 1px solid lightgrey;
  border-radius: 6px;
  outline: none;
  padding: 0 15px;
  font-size: 17px;
  font-family: 'Poppins', sans-serif;
  transition: all 0.3s ease;
}

.contact .right form .field input:focus,
.contact .right form .textarea textarea:focus {
  border-color: #b3b3b3;
}

.contact .right form .textarea textarea {
  padding-top: 10px;
  resize: none;
}

.contact .right form .button-area {
  display: flex;
  align-items: center;
}

.right form .button-area button {
  color: #fff;
  display: block;
  width: 160px !important;
  height: 45px;
  outline: none;
  font-size: 18px;
  font-weight: 500;
  border-radius: 6px;
  cursor: pointer;
  flex-wrap: nowrap;
  background: crimson;
  border: 2px solid crimson;
  transition: all 1s ease;
}

.right form .button-area button:hover {
  color: crimson;
  background: none;
}

/* footer section styling */

footer {
  background: #0000ff;
  padding: 15px 23px;
  color: #fff;
  text-align: center;
}

/* for future links */

footer span a {
  color: #fff;
  text-decoration: none;
}

footer span a:hover {
  text-decoration: underline;
  transition: all 0.7s ease;
}

@media (max-width: 1104px) {
  .about .about-content .left img {
    height: 350px;
    width: 350px;
  }
  .timeline .timeline-content .left {
    width: 45%;
  }
  .timeline .timeline-content .left img {
    display: inline;
    height: 250px;
    width: 250px;
    object-fit: cover;
    border-radius: 50%;
  }
  .timeline .timeline-content .right {
    width: 55%;
  }
}

@media (max-width: 991px) {
  .max-width {
    padding: 0 50px;
  }
}

@media (max-width: 947px) {
  .menu-btn {
    display: block;
    z-index: 999;
  }
  .menu-btn i.active:before {
    content: '\f00d';
  }
  .navbar .menu {
    position: fixed;
    height: 100vh;
    width: 100%;
    left: -100%;
    top: 0;
    background: #111;
    text-align: center;
    padding-top: 80px;
    transition: all 0.7s ease;
  }
  .navbar .menu.active {
    left: 0;
  }
  .navbar .menu li {
    display: block;
  }
  .navbar .menu li a {
    display: inline-block;
    margin: 20px 0;
    font-size: 25px;
  }
  .home .home-content .text-2 {
    font-size: 70px;
  }
  .home .home-content .text-3 {
    font-size: 35px;
  }
  .home .home-content a {
    font-size: 23px;
    padding: 10px 30px;
  }

  .max-width {
    max-width: 930px;
  }
  .about .about-content .column {
    width: 100%;
  }
  .about .about-content .left {
    display: flex;
    justify-content: center;
    margin: 0 auto 60px;
  }
  .about .about-content .right {
    flex: 100%;
  }
  .services .serv-content .card {
    width: calc(50% - 10px);
    margin-bottom: 20px;
  }
  .skills .skills-content .column,
  .contact .contact-content .column {
    width: 100%;
    margin-bottom: 35px;
  }
}

@media (max-width: 690px) {
  .max-width {
    padding: 0 23px;
  }
  .home .home-content .text-2 {
    font-size: 60px;
  }
  .home .home-content .text-3 {
    font-size: 32px;
  }
  .home .home-content a {
    font-size: 20px;
  }
  .services .serv-content .card {
    width: 100%;
  }
  .timeline .timeline-content .left {
    width: 0%;
  }
  .timeline .timeline-content .left img {
    display: none;
  }
  .timeline .timeline-content .right {
    margin-left: 15px;
    width: 95%;
  }
}

@media (max-width: 500px) {
  .home .home-content .text-2 {
    font-size: 50px;
  }
  .home .home-content .text-3 {
    font-size: 27px;
  }
  .about .about-content .right .text,
  .skills .skills-content .left .text {
    font-size: 19px;
  }
  .contact .right form .fields {
    flex-direction: column;
  }
  .contact .right form .name,
  .contact .right form .email {
    margin: 0;
  }
  .right form .error-box {
    width: 150px;
  }
  .scroll-up-btn {
    right: 15px;
    bottom: 15px;
    height: 38px;
    width: 35px;
    font-size: 23px;
    line-height: 38px;
  }
}
